<div class="d-flex flex-column" appUseWindowHeight>
  <div class="p2 py-2">
    <app-customer-details></app-customer-details>
  </div>
  <div class="p2 flex-grow-1 py-2">
    <div class="card" appUseWindowHeight="260" data-simplebar>
      <div class="card-header d-flex">
        <span>Deposit / Withdrawal</span>
      </div>
      <div class="p2 flex-grow-1 py-2">
        <div class="card-body d-flex flex-column justify-content-center align-items-center"
             style="height: 50vh; width: 100%"
             *ngIf="(currentChargeValue$ | async) === 0 && (currentCard$|async) !== null  && router.url === '/charge'">
          <div class="card-text pb-3">Charge Card</div>
          <div class="card-text pb-3">or</div>
          <div>
            <a routerLink="/cashdesk" class="btn btn-outline-light btn-lg" matRipple
               [matRippleColor]="'hsla(0, 0%, 0%, 0.4)'">
              <fa-icon icon="shopping-cart"></fa-icon>
              <br>Buy some Products</a>
          </div>
        </div>
        <div *ngIf="(currentChargeValue$ | async) != 0">
          <app-charge-value></app-charge-value>
        </div>
      </div>
    </div>
  </div>
  <div class="p2 py-2">
    <div class="d-flex flex-row">
      <a class="btn btn-outline-light btn-block btn-lg w-25 flex-shrink-1"
         style="height: 62px; overflow: hidden; font-size: 1.35rem; padding: 0.8rem 1rem;"
         routerLink="/locked">
        <fa-icon icon="lock"></fa-icon>
      </a>
      <div class="flex-grow-1 ml-2">
        <app-charge-button></app-charge-button>
      </div>
    </div>
  </div>
</div>
